javax.ejb

## Annotation Type MessageDriven

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface MessageDriven

  Component-defining annotation for a message driven bean.

  The message driven bean must implement the appropriate message listener interface for the messaging type that the message-driven bean supports or specify the message listener interface using the `messageListenerInterface` element of this annotation.

  Since:
    EJB 3.0
  See Also:
    `ActivationConfigProperty`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `ActivationConfigProperty[]` | `activationConfig` Activation config properties.
    `String` | `description` A string describing the message driven bean.
    `String` | `mappedName` A product specific name(e.g.
    `Class` | `messageListenerInterface` Message-listener interface.
    `String` | `name` The ejb-name for this bean.

- - ### Element Detail

    - #### name

          public abstract String name

      The ejb-name for this bean. Defaults to the unqualified name of the message driven bean class.
      Default:
        ""

    - #### messageListenerInterface

          public abstract Class messageListenerInterface

      Message-listener interface. If the message-driven bean class implements more than one interface other than `java.io.Serializable`, `java.io.Externalizable`, or any of the interfaces defined by the `javax.ejb` package, the message listener interface must be specified.
      Default:
        java.lang.Object.class

    - #### activationConfig

          public abstract ActivationConfigProperty[] activationConfig

      Activation config properties.
      Default:
        {}

    - #### mappedName

          public abstract String mappedName

      A product specific name(e.g. global JNDI name of a queue) that this message-driven bean should be mapped to. Application servers are not required to support any particular form or type of mapped name, nor the ability to use mapped names. The mapped name is product-dependent and often installation-dependent. No use of a mapped name is portable.
      Default:
        ""

    - #### description

          public abstract String description

      A string describing the message driven bean.
      Default:
        ""

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.